<template lang="pug">
DBCollapsible.x-doc-list(ref='db-shifts' :title='title' source='shifts' :prefetch='false' :copyMode='true'
                         :query="{ query: { assoId: assoID }, sort: 'date:asc' }")
  template(v-slot:default='{ rows, loading, max }')
    .col-12.d-flex.justify-content-between.rounded.hover-bg-light.x-row(v-if="$butils.isEmpty(rows)")
      span There are no shifts.
    .col-12.d-flex.justify-content-between.rounded.hover-bg-light.x-row(v-else v-for='row in rows')
      span
        ShiftLink(:shift='row')
</template>
<script>

export { default } from './ShiftsList.vue.js';

</script>
